# Get Recipe Categories

This endpoint allows getting all available categories for a specific language.

## Get Recipe Categories

<mark style="color:green;">`POST`</mark> `https://graph.whisk.com/v1/recipes/categories`

#### Path Parameters

| Name    | Type   | Description                       |
| ------- | ------ | --------------------------------- |
| country | string | Country ISO code. Default is `gb` |
| limit   | number | Number of categories              |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "categories": [
    {
      "id": "quick-and-easy",
      "displayName": "Quick and easy",
      "image": {
        "url": "https://whisk-res.cloudinary.com/image/upload/v1523894700/custom_upload/ba4d7363cd46c736675d2cc08754f5bc.png",
        "width": 800,
        "height": 800
      }
    },
    {
      "id": "healthy-recipes",
      "displayName": "Healthy Recipes",
      "image": {
        "url": "https://whisk-res.cloudinary.com/image/upload/v1523894700/custom_upload/ba4d7363cd46c736675d2cc08754f5bc.png",
        "width": 800,
        "height": 800
      }
    },
    {
      "id": "holidays-and-events",
      "displayName": "Holidays and Events",
      "image": {
        "url": "https://whisk-res.cloudinary.com/image/upload/v1523894700/custom_upload/ba4d7363cd46c736675d2cc08754f5bc.png",
        "width": 800,
        "height": 800
      }
    },
    {
      "id": "baking",
      "displayName": "Baking",
      "image": {
        "url": "https://whisk-res.cloudinary.com/image/upload/v1523894700/custom_upload/ba4d7363cd46c736675d2cc08754f5bc.png",
        "width": 800,
        "height": 800
      }
    },
    {
      "id": "bbq-and-grilling",
      "displayName": "BBQ & Grilling",
      "image": {
        "url": "https://whisk-res.cloudinary.com/image/upload/v1523894700/custom_upload/ba4d7363cd46c736675d2cc08754f5bc.png",
        "width": 800,
        "height": 800
      }
    }
  ],
  "paging": {
    "cursors": {
      "after": "eyJpZCI6ImRlc3NlcnRzIiwiaW5kZXgiOjR9"
    }
  }
}
```

{% endtab %}
{% endtabs %}

### Sample Request

```bash
curl "https://graph.whisk.com/v1/recipes/categories?country=gb&limit=5" \
    -H "Accept: application/json" \
    -H "Authorization: Token <Access-Token>"
```

## Response

The result is a list of all available categories corresponding to the required region. You can use these categories for filtering recipes in [search](/master/api/recipe-discovery/recipe-search.md).

| ATTRIBUTE    | TYPE                                                                               | DESCRIPTION |
| ------------ | ---------------------------------------------------------------------------------- | ----------- |
| categories\* | array \[[RecipeCategory](/master/api/recipes/recipe-categories.md#recipecategory)] |             |
| paging       | [Paging](/master/api/recipes/recipe-categories.md#paging)                          |             |

### RecipeCategory

| ATTRIBUTE     | TYPE            | DESCRIPTION |
| ------------- | --------------- | ----------- |
| id\*          | string          |             |
| displayName\* | string          |             |
| image         | ResponsiveImage |             |

### Paging

| ATTRIBUTE | TYPE                                                        | DESCRIPTION |
| --------- | ----------------------------------------------------------- | ----------- |
| cursors\* | [Cursors](/master/api/recipes/recipe-categories.md#cursors) |             |

### Cursors

| ATTRIBUTE | TYPE   | DESCRIPTION |
| --------- | ------ | ----------- |
| after     | string |             |
| before    | string |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/master/api/recipes/recipe-categories.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
